Retrieve a Device Transaction Log

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V81 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/mcp"
  }
}

Close
GET /transaction_log

Headers

  • Authorization string

    e.g. Bearer {access_token}

Query parameters

  • fields string

    filter and/or select response fields. Use fields=<fieldname>(="<value>") to filter by any available field. Multiple filters can be combined with a comma. Example: fields=username(="demo_user"),profile_id(="12345"). Filterable fields: username, date, action, description, last_updated, server_id, profile_id

  • limit number

    maximum number of results to return

  • offset number

    skip that many records before beginning to return

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • username string Required
    • date string Required
    • description string Required
    • last_updated string Required
  • 400 application/json

    Bad Request - limit or offset is not an integer.

    Hide response attribute Show response attribute object
    • error_message string Required

      human-readable reason for the failure

GET /transaction_log
curl \
 --request GET 'https://api.iformbuilder.com/exzact/api/v81/[servername]/transaction_log' \
 --header "Authorization: Bearer {access_token}"
Response examples (200)
{
  "username": "string",
  "date": "string",
  "description": "string",
  "last_updated": "string"
}
Response examples (400)
{
  "error_message": "'limit' must be an integer"
}